Subject: Re: [PATCH] Documentation: Update information about <format> in git-for-each-ref

From: Andreas Ericsson <[email-masked]>
Date: Wed, 01 Nov 2006 11:23:40 +0100

Junio C Hamano wrote:
> Andreas Ericsson <[email-masked]> writes:
> 
>> Jakub Narebski wrote:
>>
>>> BTW. I had to translate
>>> +       if (strcmp(who, "tagger") && strcmp(who, "committer"))
>>> to
>>> +       if (strcmp(who, "tagger") == 0 || strcmp(who, "committer") == 0)
>>> to understand it. But this is probably my lack of contact with such
>>> C idioms.
>> But this does the exact opposite....
>> "Compare" (as in "strcmp") also translates to "are equal to" and isn't
>> only a verb. This is unfortunate for people who aren't natively
>> english and has had me confused on many a long night...
> 
> Being a non-English speaker, I always pronounce xxxcmp() used as
> boolean 'is different' in my head.  The (correct version of the)
> above example expression is read as 'if it is different from
> "tagger" and it is different from "committer", then do this'.
> 

Without any slight intended toward your english proficiency, I'd say 
your programming is better than your english. For me it's the other way 
around, so I think of the above as "if it doesn't compare to this or 
that, then do this", but the "are equal to" meaning of "compare" isn't 
intuitive to me as I spent the first several years of my 
english-speaking life using "compare" exclusively as a verb.

And yes. There was a compliment hidden in there. Soak it up. You've 
earned it. ;-)

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se